Description

History

#1 - Nov 16, 2015 11:36 AM - Massimiliano Assante

- Priority changed from Normal to High

#2 - Nov 16, 2015 03:31 PM - Nikolas Laskaris

- % Done changed from 0 to 100

gCube 3.9.0 release

Authorization Token:

Created an authentication token - full delegation mode - to integrate in Featherweight Stack and gCore (#70)

A new portlet has been created (to be added in every VRE), having services requiring Authorisation for their usage. It displays a dropdown list

showing the service name for which the token has to be generated. It supports token generation for WPS service. (#118)

Accounting and Authorization porting on GCF:

The new Service Accounting was added into GCF (#291)

The gcube handlers now do incorporate the new authorization (#292)

Accounting:

Parts of existing accounting projects have been aggregated, eliminating the current queue implementation (#112)

The storage-manager-trigger library is now integrated with the new accounting system based on CouchDB. All the storage messages are send to

the new accounting system (#398)

A new accouting-analytics library has been created (#166).

A new accounting portlet was created, with an autocomplete function on suggesting values for filter in accounting-analytics (#69, #513).

Fixed a bug on on accounting manager which occured whenever the filters were enabled and lead to generated series which did not match to

the time interval required (were shifted by one day) (#543)

The Accounting Manager was enhanced to list the available keys for the filters (#437).

The accounting-lib has been enhanced to avoid any name conflicts (#436).

On accounting-lib is now used couchdb-connector instead of ektorp (#435).

The option of specifying the targetScope on AccessPoint of Accounting ServiceEndpoint was added (#360).

Improve SmartExecutor:

The evolution of the tasks is now stored within a NoSQL global DB (#89)

Whenever the SmartExecutor starts, it reads a config file from the filesystem, which generates a self invocation for defined task and inputs. The

configuration file is in JSON format. (#508)

Persistence is now used to persist Scheduled Task configuration on smart-executor. Smart Executor supports repetitive scheduled task. If the

instance power off the scheduling of the task is lost, the service persists this type of task on IS to support reminiscence.(#579)

Fixed a bug on SmartExecutor, which caused it to stop by the container once started (#988).

Improve Smartgears:

The smartgear-distribution version is passed to smartgear-distribution-bundle as argument to maven (#941).

Since the SmartGearsDistribution v1.2.5, the SmartGearsDistribution version will be shown instead of SmartGearsDistributionBundle version

(#446). The SmartgearDistribution version is added on ghn profile. (#438).
Removed the version of whnManager service from the war name (#130)

Storage manager:

On storage manager,a mimetype property was added on the upload operation (#415)

On Uri-Resolver, two optional parameters were added, one for thr file name and one for the content-type (mime type) read from Storage. These

are to be used if and only if the file name and content-type (mime type) cannot be read from metadata of the file saved on the Storage. (#416)

Home Library:

The home library now supports setting a mimeType property when a file is uploaded through storage-manager libraries (#434).

A locking feature was added to HL, which enables a user to temporary prevent other users form changing an item or subfolders. HomeLibrary

WebApp was extended in order to exploit the JCR locking. When the HL client places a lock on an item, the HL webapp creates a new session

that holds the lock token and uses such session until the lock is not removed by the HL client. (#724)

There was a bug which was fixed, in which it was impossible to remove a shared folder from homelibrary, even if the owner was the one

requesting the removal. The folder was removed from the tree, but on a refresh the tree folder was reappearing. (#519)

Portlets:

Workspace Portlet enhanced its GUI to show workspace quotes and available features (#1280).

On workspace portlet, the search is now "advanced" in order to limit the search to a specific folder (#947).

Fixed a bug on workspace, in which, whenever workspace was opened by a link to a VRE folder content, the Create Folder didn't work. It worked

only after a refresh. (#531)

Another bug was fixed on whorkspace, which occured as follows: whenever the workspace was opened by a notification "Go To Folder" on VRE

Folder and iff the breadcrumb was clicked two consecutive times, the path became not uniform.(#718).

On Workspace portlet, there is an option to limit the search to 'current folder' in the workspace (#739).

Other:

Fixed a bug in which, when looking for a ServiceEndpoint, SM (1.4.* ) it did crawl through all the accessible scopes without restoring to the

caller's one. (#1230)

#3 - Dec 09, 2015 12:02 PM - Gabriele Giammatteo

- Status changed from New to Closed

release notes have been integrated in the release description on gcube website. Thank you
